<?php
function searchQuran($query) {
   if (empty($query)) {
      return [];
   }

   $url = 'http://api.v1.quran.com/v1/search.json?q=' . urlencode($query);

   $ch = curl_init();
   curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
   curl_setopt($ch, CURLOPT_URL, $url);
   $result = curl_exec($ch);
   curl_close($ch);
   return json_decode($result, true);
}

$r = searchQuran($argv[1]);
$results = $r['results'];
if (!isset($r['results'])) {
   echo json_encode([]);
   return;
}

$suggestions = [];
foreach ($results as $result) {
   $title = '';
   foreach ($result['matches'] as $m => $val) {
      $title = $val;
      $title = str_replace('<span class="highlight">','', $title);
      $title = str_replace('</span>', '', $title);
      break;
   }

   $subtitle = $result['sura'] . ':' . $result['ayah'];
   $suggestions[] = ['title' => $subtitle,
      'subtitle' => $title];
}
echo json_encode($suggestions);
